Bug 953001 - Rebuild libguestfs to pick up libk5radius -> libkrad rename in Kerberos V
Rebuild libguestfs to pick up libk5radius -> libkrad rename in Kerberos V
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-17 03:15 EDT by Alexander Bokovoy
Modified: 2013-04-22 23:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-22 23:42:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Bokovoy 2013-04-17 03:15:56 EDT
Description of problem:
Since libguestfs pulls in lot of dependencies, it picks up dependency to libk5radius.so. libk5radius was a name of a library in krb5 packages brought by an experimental patch. That library has changed upstream to libkrad and krb5 1.11.1-8 brings it in.

As result, libguestfs is not installable in F19 when krb5 1.11.1-8 is in use.

http://kojipkgs.fedoraproject.org/packages/libguestfs/1.21.29/1.fc19/data/logs/x86_64/build.log shows that libguestfs has generated dependency to libk5radius.so.0.()(64bit).

In order to fix the problem it should be sufficient to rebuild libguestfs, though in longer run it is probably better to fix the Requires generator to avoid greedy Requires -- libk5radius.so is not in actual use by any other package yet.

I can see that Rawhide build already picked up libkrad.so dependency.
Comment 1 Richard W.M. Jones 2013-04-17 03:26:11 EDT
I just (yesterday evening) built 1.21.30:

http://koji.fedoraproject.org/koji/buildinfo?buildID=412221

This still seems to have a dep on libk5radius.so however.  Is
the new library in build overrides?
Comment 2 Richard W.M. Jones 2013-04-17 03:27:12 EDT
(In reply to comment #0)
> In order to fix the problem it should be sufficient to rebuild libguestfs,
> though in longer run it is probably better to fix the Requires generator to
> avoid greedy Requires -- libk5radius.so is not in actual use by any other
> package yet.

And on this point, the requires generator is correct.  libguestfs
does include this library in its appliance.
Comment 3 Alexander Bokovoy 2013-04-17 03:38:14 EDT
https://admin.fedoraproject.org/updates/FEDORA-2013-5385/krb5-1.11.1-8.fc19 is marked as being in testing and on its way to stable.
Comment 4 Richard W.M. Jones 2013-04-17 03:43:13 EDT
OK it seems to need a buildoverride in that case.  I have
submitted one.
Comment 5 Fedora Update System 2013-04-18 03:09:57 EDT
libguestfs-1.21.31-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libguestfs-1.21.31-1.fc19
Comment 6 Richard W.M. Jones 2013-04-18 03:25:47 EDT
As you can see here:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=3926532
there's no longer a dependency on krb5radius, but there is
a dependency on libkrad.
Comment 7 Alexander Bokovoy 2013-04-18 03:36:02 EDT
Great, thanks!
Comment 8 Fedora Update System 2013-04-18 13:27:15 EDT
Package libguestfs-1.21.31-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libguestfs-1.21.31-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5991/libguestfs-1.21.31-1.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-04-22 23:42:45 EDT
libguestfs-1.21.31-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.